<serverSettings>
  <socketAddresses>
    <socket address="0.0.0.0" port="7443" type="TCP"/>
  </socketAddresses>
  <ipFilter>
    <addressBlackList>
      <string>100.101.102.103</string>
    </addressBlackList>
    <addressWhiteList>
      <string>0.0.0.0</string>
    </addressWhiteList>
    <maxConnectionsPerAddress>1000000000</maxConnectionsPerAddress>
  </ipFilter>
  <flashCrossdomainPolicy>
    <useMasterSocketPolicy>true</useMasterSocketPolicy>
    <policyXmlFile>crossdomain.xml</policyXmlFile>
  </flashCrossdomainPolicy>
  <systemControllerThreadPoolSize>6</systemControllerThreadPoolSize>
  <extensionControllerThreadPoolSize>35</extensionControllerThreadPoolSize>
  <systemControllerRequestQueueSize>40000</systemControllerRequestQueueSize>
  <extensionControllerRequestQueueSize>90000</extensionControllerRequestQueueSize>
  <schedulerThreadPoolSize>10</schedulerThreadPoolSize>
  <protocolCompressionThreshold>1024</protocolCompressionThreshold>
  <protocolMode>BINARY</protocolMode>
  <remoteAdmin>
    <administrators>
      <adminUser>
        <login>vinpldsaay</login>
        <password>QNi81UEwr4u65EhpAPpP</password>
      </adminUser>
    </administrators>
    <allowedRemoteAddresses>
    </allowedRemoteAddresses>
    <adminTcpPort>7443</adminTcpPort>
  </remoteAdmin>
  <bannedUserManager>
    <isAutoRemove>true</isAutoRemove>
    <isPersistent>true</isPersistent>
    <customPersistenceClass></customPersistenceClass>
  </bannedUserManager>
  <extensionRemoteDebug>false</extensionRemoteDebug>
  <useFriendlyExceptions>true</useFriendlyExceptions>
  <mailer>
    <mailHost>vinplayjsc@gmail.com</mailHost>
    <mailUser>vinplay</mailUser>
    <mailPass>vinplay</mailPass>
    <smtpPort>25</smtpPort>
    <workerThreads>1</workerThreads>
  </mailer>
  <webServer>
    <isActive>true</isActive>
    <cfgFile>config/jetty/jetty.xml</cfgFile>
  </webServer>
  <startExtensionFileMonitor>false</startExtensionFileMonitor>
  <useFriendlyLogging>true</useFriendlyLogging>
  <useDebugMode>false</useDebugMode>
  <sessionMaxIdleTime>10</sessionMaxIdleTime>
  <userReconnectionSeconds>0</userReconnectionSeconds>
  <userMaxIdleTime>10000</userMaxIdleTime>
  <ghostHunterEnabled>true</ghostHunterEnabled>
  <mobileReconnectionSeconds>0</mobileReconnectionSeconds>
  <admin>
    <login>vinpldasay</login>
    <password>QNi81UEwr4u65EhpAPpP</password>
  </admin>
  <webSocket>
    <isActive>true</isActive>
    <bindAddress>0.0.0.0</bindAddress>
    <tcpPort>7444</tcpPort>
    <sslPort>7445</sslPort>
    <validDomains/>
    <isSSL>true</isSSL>
    <isUsingFixThreadPool>true</isUsingFixThreadPool>
    <keyStoreFile>config/vinplay.jks</keyStoreFile>
    <keyStorePassword>vinplay@123</keyStorePassword>
  </webSocket>
  <systemThreadPoolSettings>
    <name>Sys</name>
    <coreThreads>4</coreThreads>
    <backupThreads>8</backupThreads>
    <maxBackups>16</maxBackups>
    <queueSizeTriggeringBackup>100</queueSizeTriggeringBackup>
    <secondsTriggeringBackup>50</secondsTriggeringBackup>
    <backupThreadsExpiry>3600</backupThreadsExpiry>
    <queueSizeTriggeringBackupExpiry>60</queueSizeTriggeringBackupExpiry>
    <logActivity>true</logActivity>
    <queueFullWarningInterval>300</queueFullWarningInterval>
  </systemThreadPoolSettings>
  <extensionThreadPoolSettings>
    <name>Ext</name>
    <coreThreads>4</coreThreads>
    <backupThreads>8</backupThreads>
    <maxBackups>16</maxBackups>
    <queueSizeTriggeringBackup>100</queueSizeTriggeringBackup>
    <secondsTriggeringBackup>50</secondsTriggeringBackup>
    <backupThreadsExpiry>3600</backupThreadsExpiry>
    <queueSizeTriggeringBackupExpiry>60</queueSizeTriggeringBackupExpiry>
    <logActivity>true</logActivity>
    <queueFullWarningInterval>300</queueFullWarningInterval>
  </extensionThreadPoolSettings>
</serverSettings>
